Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlLayoutPanel

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.UILayoutPanel
                  org.richfaces.component.html.HtmlLayoutPanel

All Implemented Interfaces:
  javax.faces.component.StateHolder

    public class HtmlLayoutPanel

extends UILayoutPanel

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Constructor Summary
`HtmlLayoutPanel()`

Method Summary
`java.lang.String` | `getFamily()`
`LayoutPosition` | `getPosition()` Get placement position type name
`java.lang.String` | `getWidth()` Get Panel width.
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setPosition(LayoutPosition _position)` Set placement position type name
`void` | `setWidth(java.lang.String _width)` Set Panel width.

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getValueExpression, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### HtmlLayoutPanel

    public HtmlLayoutPanel()

Method Detail

### getPosition

    public LayoutPosition getPosition()

  Description copied from class: `UILayoutPanel`
  Get placement position type name

  Specified by:
    `getPosition` in class `UILayoutPanel`
  Returns:

### setPosition

    public void setPosition(LayoutPosition _position)

  Description copied from class: `UILayoutPanel`
  Set placement position type name

  Specified by:
    `setPosition` in class `UILayoutPanel`

### getWidth

    public java.lang.String getWidth()

  Description copied from class: `UILayoutPanel`
  Get Panel width.

  Specified by:
    `getWidth` in class `UILayoutPanel`
  Returns:

### setWidth

    public void setWidth(java.lang.String _width)

  Description copied from class: `UILayoutPanel`
  Set Panel width.

  Specified by:
    `setWidth` in class `UILayoutPanel`

### getFamily

    public java.lang.String getFamily()

  Specified by:
    `getFamily` in class `javax.faces.component.UIComponent`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UIComponentBase`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UIComponentBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.